.RICHTEXT__responsive-padding {
  padding-top: var(--RICHTEXT__reduced-padding-top)rem;
  padding-bottom: var(--RICHTEXT__reduced-padding-bottom)rem;
}

.RICHTEXT__full_width {
  width: 100% !important;
  max-width: 100% !important;
  min-width: 100% !important;
}

@media (min-width: 1024px) {
  .RICHTEXT__responsive-padding {
    padding-top: var(--RICHTEXT__top-padding)rem;
    padding-bottom: var(--RICHTEXT__bottom-padding)rem;
  }
}

@media (min-width: 0px) {
  .RICHTEXT__rich-text {
    font-size: 2rem !important;
    line-height: calc(2rem * var(--golden-ratio)) !important;
  }
}
@media (min-width: 667px) {
  .RICHTEXT__rich-text {
    font-size: 2rem !important;
    line-height: calc(2rem * var(--golden-ratio)) !important;
  }
}
@media (min-width: 1281px) {
  .RICHTEXT__rich-text {
    font-size: 2rem !important;
    line-height: calc(2rem * var(--golden-ratio)) !important;
  }
}

.RICHTEXT__use-serif-font {
  font-family: "HALTimezone", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.RICHTEXT__font-weight-400 {
  font-weight: 400;
}

.RICHTEXT__font-weight-700 {
  font-weight: 700;
}

.RICHTEXT__use-futuristic-body-font {
  font-family: "The Future", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  font-variation-settings:
    "width" 100;
}

@keyframes RICHTEXT__letterSlideUp {
  0% {
    opacity: 0;
    transform: translateY(var(--RICHTEXT__letter-anim-start-y-offset));
  }
  25% {
    opacity: 0;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
.RICHTEXT__letter {
  opacity: 0;
  fill: black;
  animation: RICHTEXT__letterSlideUp var(--RICHTEXT__letter-anim-base-duration) cubic-bezier(0.68, -0.55, 0.265, 1.55) forwards;

  /* animation-timing-function: cubic-bezier(0, 0.1, 0.4, 1.25); */
  /* animation-iteration-count: infinite; */
  /* animation-direction: normal; */
  /* animation-duration: 1s; */
}

.RICHTEXT__letter:nth-child(1) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 1); }
.RICHTEXT__letter:nth-child(2) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 2); }
.RICHTEXT__letter:nth-child(3) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 3); }
.RICHTEXT__letter:nth-child(4) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 4); }
.RICHTEXT__letter:nth-child(5) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 5); }
.RICHTEXT__letter:nth-child(6) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 6); }
.RICHTEXT__letter:nth-child(7) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 7); }
.RICHTEXT__letter:nth-child(8) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 8); }
.RICHTEXT__letter:nth-child(9) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 9); }
.RICHTEXT__letter:nth-child(10) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 10); }
.RICHTEXT__letter:nth-child(11) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 11); }
.RICHTEXT__letter:nth-child(12) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 12); }
.RICHTEXT__letter:nth-child(13) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 13); }
.RICHTEXT__letter:nth-child(14) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 14); }
.RICHTEXT__letter:nth-child(15) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 15); }
.RICHTEXT__letter:nth-child(16) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 16); }
.RICHTEXT__letter:nth-child(17) { animation-delay: calc(var(--RICHTEXT__letter-anim-base-delay) + var(--RICHTEXT__letter-anim-base-stagger) * 17); }

@keyframes RICHTEXT__dotSlideDown {
  0% {
    opacity: 0;
    transform: translateY(var(--RICHTEXT__dot-anim-start-y-offset));
  }
  50% {
    opacity: 0;
  }
  80% {
    opacity: 1;
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.RICHTEXT__dot {
  animation: RICHTEXT__dotSlideDown var(--RICHTEXT__dot-anim-base-duration) ease-in-out forwards;
  animation-delay: var(--RICHTEXT__dot-anim-base-delay);
  opacity: 0;
}
.RICHTEXT__dot:nth-child(1) { animation-delay: var(--RICHTEXT__dot-anim-base-delay); opacity: 0; }
.RICHTEXT__dot:nth-child(2) { animation-delay: var(--RICHTEXT__dot-anim-base-delay); opacity: 0; }
.RICHTEXT__dot:nth-child(3) { animation-delay: var(--RICHTEXT__dot-anim-base-delay); opacity: 0; }
